View Issue Details

IDProjectCategoryView StatusLast Update
0006386unrealircdpublic2024-02-11 18:28
ReporterPeGaSuS Assigned Tosyzop  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version22.04
Product Version6.1.4 
Fixed in Version6.1.5 
Summary0006386: Option modes-on-connect isn't being set when used inside a security-group
DescriptionActually, the 'modes-on-connect' inside a security-group block aren't being set to the matching users.

Reported by Serkons on IRC and I could confirm on my own network.

The configuration below shows that the user is put into the correct security-group, joined to the specified channel but the umodes aren't being set.
Steps To ReproduceConfig used by me to confirm the bug:
###
# Security group
###
security-group thetest {
    account {
        TheTest;
    }
}

set thetest {
    modes-on-connect "+IipwxB";
    auto-join "#Software";
}

###
# UnrealIRCd Connection Log (shows the user on the "thetest" security-group)
###
<irc3.ptirc.org> [info] Client connecting: TheTest (~TheTest@nope:nope:nope:nope:nope:nope:nope:nope) [nope:nope:nope:nope:nope:nope:nope:nope] [vhost: users.PTirc.TheTest] [secure: TLSv1.3-TLS_CHACHA20_POLY1305_SHA256] [account: TheTest] [country: FR] [reputation: 4] [security-groups: known-users,thetest,tls-and-known-users,tls-users]

###
# HexChat RAW Log
###
<< CAP LS 302
<< NICK TheTest
<< USER TheTest 0 * :The Test User
>> :irc3.ptirc.org NOTICE * :*** Looking up your hostname...
>> :irc3.ptirc.org NOTICE * :*** Checking ident...
>> :irc3.ptirc.org NOTICE * :*** Couldn't resolve your hostname; using your IP address instead
>> :irc3.ptirc.org NOTICE * :*** No ident response; username prefixed with ~
>> :irc3.ptirc.org CAP * LS :sts=port=6697,duration=5184000 unrealircd.org/link-security=2 unrealircd.org/plaintext-policy=user=deny,oper=deny,server=deny unrealircd.org/history-storage=memory away-notify invite-notify extended-join userhost-in-names multi-prefix cap-notify sasl=ANONYMOUS,EXTERNAL,PLAIN setname tls chghost account-notify message-tags batch server-time account-tag echo-message labeled-response draft/chathistory extended-monitor standard-replies unrealircd.org/json-log
<< CAP REQ :away-notify invite-notify extended-join userhost-in-names multi-prefix cap-notify sasl setname chghost account-notify server-time account-tag extended-monitor
>> PING :57E89FFB
<< PONG :57E89FFB
>> :irc3.ptirc.org CAP TheTest ACK :away-notify invite-notify extended-join userhost-in-names multi-prefix cap-notify sasl setname chghost account-notify server-time account-tag extended-monitor 
<< AUTHENTICATE PLAIN
>> :[email protected] PRIVMSG TheTest :VERSION
<< NOTICE IRC :VERSION HexChat 2.16.1 / Linux 6.5.0-15-generic [x86_64/3,40GHz/SMP]
>> AUTHENTICATE +
<< AUTHENTICATE BITE_MY_ASS_WILL_YA_?==
>> :irc3.ptirc.org 900 TheTest TheTest!TheTest@nope:nope:nope:nope:nope:nope:nope:nope TheTest :You are now logged in as TheTest.
>> :irc3.ptirc.org 903 TheTest :SASL authentication successful
<< CAP END
>> :irc3.ptirc.org 001 TheTest :Welcome to the PTirc IRC Network TheTest!~TheTest@nope:nope:nope:nope:nope:nope:nope:nope
>> :irc3.ptirc.org 002 TheTest :Your host is irc3.ptirc.org, running version UnrealIRCd-6.1.4
>> :irc3.ptirc.org 003 TheTest :This server was created Sat Dec 16 2023 at 16:31:35 UTC
>> :irc3.ptirc.org 004 TheTest irc3.ptirc.org UnrealIRCd-6.1.4 cdiopqrstwxzBDGHINPRSTWZ beIacdfhiklmnopqrstvzBCDFGHKLMNOPQRSTVZ
>> :irc3.ptirc.org 005 TheTest ACCOUNTEXTBAN=account,a AWAYLEN=307 BOT=B CASEMAPPING=ascii CHANLIMIT=#:150 CHANMODES=beI,fkL,lFH,cdimnprstzBCDGKMNOPQRSTVZ CHANNELLEN=32 CHANTYPES=# CHATHISTORY=50 CLIENTTAGDENY=*,-draft/typing,-typing,-draft/channel-context,-draft/reply,-kiwiirc.com/ttt,-data,-kiwiirc.com/conference,-kiwiirc.com/fileuploader DEAF=d ELIST=MNUCT :are supported by this server
>> :irc3.ptirc.org 005 TheTest EXCEPTS EXTBAN=~,acfjmnpqrtCFGOST INVEX KICKLEN=307 KNOCK MAP MAXLIST=b:120,e:120,I:120 MAXNICKLEN=30 MINNICKLEN=3 MODES=12 MONITOR=128 MSGREFTYPES=msgid,timestamp :are supported by this server
>> :irc3.ptirc.org 005 TheTest NAMELEN=50 NAMESX NETWORK=PTirc NICKLEN=30 PREFIX=(qaohv)~&@%+ QUITLEN=307 SAFELIST SILENCE=32 STATUSMSG=~&@%+ TARGMAX=DCCALLOW:,ISON:,JOIN:,KICK:4,KILL:,LIST:,NAMES:1,NOTICE:1,PART:,PRIVMSG:4,SAJOIN:,SAPART:,TAGMSG:1,USERHOST:,USERIP:,WATCH:,WHOIS:1,WHOWAS:1 TOPICLEN=360 UHNAMES :are supported by this server
>> :irc3.ptirc.org 005 TheTest USERIP WALLCHOPS WATCH=128 WATCHOPTS=A WHOX :are supported by this server
>> :irc3.ptirc.org 396 TheTest users.PTirc.TheTest :is now your displayed host
>> :irc3.ptirc.org NOTICE TheTest :*** You are connected to irc3.ptirc.org with TLSv1.3-TLS_CHACHA20_POLY1305_SHA256
>> :irc3.ptirc.org 251 TheTest :There are 1 users and 457 invisible on 8 servers
>> :irc3.ptirc.org 252 TheTest 73 :operator(s) online
>> :irc3.ptirc.org 254 TheTest 43 :channels formed
>> :irc3.ptirc.org 255 TheTest :I have 173 clients and 0 servers
>> :irc3.ptirc.org 265 TheTest 173 353 :Current local users 173, max 353
>> :irc3.ptirc.org 266 TheTest 458 5478 :Current global users 458, max 5478
>> :irc3.ptirc.org 375 TheTest :- irc3.ptirc.org Message of the Day - 
>> :irc3.ptirc.org 372 TheTest :- 23/12/2023 22:43
>> :irc3.ptirc.org 372 TheTest :-  __  __  ___ _____ ____  
>> :irc3.ptirc.org 372 TheTest :- |  \/  |/ _ \_   _|  _ \ 
>> :irc3.ptirc.org 372 TheTest :- | |\/| | | | || | | | | |
>> :irc3.ptirc.org 372 TheTest :- | |  | | |_| || | | |_| |
>> :irc3.ptirc.org 372 TheTest :- |_|  |_|\___/ |_| |____/ 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- UPDATE: 15/09/2023
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- #############
>> :irc3.ptirc.org 372 TheTest :- # PORTUGUES #
>> :irc3.ptirc.org 372 TheTest :- #############
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- -= Bem vindos a PTirc  =-
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Website ###
>> :irc3.ptirc.org 372 TheTest :-  - https://ptirc.org
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### E-mail ###
>> :irc3.ptirc.org 372 TheTest :-  - [email protected]
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Ajuda ###
>> :irc3.ptirc.org 372 TheTest :-  - Se necessitar de ajuda, dirija-se ao canal #Help, escrevendo: /join #Help
>> :irc3.ptirc.org 372 TheTest :-  - Coloque a sua questao no canal e aguarde pacientemente por uma resposta. Lembre-se que somos todos voluntarios!
>> :irc3.ptirc.org 372 TheTest :-  - Aceite ajuda somente de helpers ( ~ & @ ).
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Servi├žos ###
>> :irc3.ptirc.org 372 TheTest :-  - NickServ - Digite: /nickserv help
>> :irc3.ptirc.org 372 TheTest :-  - ChanServ - Digite: /chanserv help
>> :irc3.ptirc.org 372 TheTest :-  - BotServ - Digite: /botserv help
>> :irc3.ptirc.org 372 TheTest :-  - MemoServ - Digite: /memoserv help
>> :irc3.ptirc.org 372 TheTest :-  - HostServ - Digite: /hostserv help
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- - NOTA: Algumas funcoes de alguns comandos estao disponiveis apenas para utilizadores registados.
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ###########
>> :irc3.ptirc.org 372 TheTest :- # ENGLISH #
>> :irc3.ptirc.org 372 TheTest :- ###########
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- -=  Welcome to PTirc   =-
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Website ###
>> :irc3.ptirc.org 372 TheTest :-  - https://ptirc.org
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Email ###
>> :irc3.ptirc.org 372 TheTest :-  - [email protected]
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Help ###
>> :irc3.ptirc.org 372 TheTest :-  - If you need assistance, please go to the #Help channel by typing: /join #Help
>> :irc3.ptirc.org 372 TheTest :-  - Post your question in the channel and patiently wait for a response. Remember, we are all volunteers!
>> :irc3.ptirc.org 372 TheTest :-  - Accept help only from helpers ( ~ & @ )
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Services ###
>> :irc3.ptirc.org 372 TheTest :-  - NickServ - Type: /nickserv help
>> :irc3.ptirc.org 372 TheTest :-  - ChanServ - Type: /chanserv help
>> :irc3.ptirc.org 372 TheTest :-  - BotServ - Type: /botserv help
>> :irc3.ptirc.org 372 TheTest :-  - MemoServ - Type: /memoserv help
>> :irc3.ptirc.org 372 TheTest :-  - HostServ - Type: /hostserv help
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- - NOTE: Some functions of certain commands are available only to registered users.
>> :irc3.ptirc.org 376 TheTest :End of /MOTD command.
>> :TheTest MODE TheTest :+iptwxzI
>> @account=TheTest;time=2024-02-09T20:30:58.354Z :[email protected] JOIN #Software TheTest :The Test User
>> :irc3.ptirc.org 332 TheTest #Software :Discussion about software, bugs and related stuff. In case of fire, leave the building immediately!
>> :irc3.ptirc.org 333 TheTest #Software James 1703609080
>> :irc3.ptirc.org 353 TheTest = #Software :[email protected] GitBot!bitbot@1329658:51B15F0D:23DB380A:IP [email protected] &@[email protected] [email protected] ~@James[email protected] [email protected]_ 
>> :irc3.ptirc.org 353 TheTest = #Software :[email protected] [email protected] ~@James[email protected] [email protected] Barracuda!Barracuda@E6390CB8:2078E901:23DB380A:IP Grixx!bots@D6312347:76A9B4DF:23DB380A:IP Exlent!convoschat@38CBEC65:90531EC3:23DB380A:IP 
>> :irc3.ptirc.org 353 TheTest = #Software :Test1!ubuntu@A61C3E9B:DE1E6807:4EA6949F:IP Sub-Zero!uid165061@F07415F2:99D3B40C:D0E39881:IP @[email protected]
>> :irc3.ptirc.org 366 TheTest #Software :End of /NAMES list.
>> @time=2024-02-09T20:30:58.366Z :[email protected] PRIVMSG TheTest :VERSION
>> @time=2024-02-09T20:30:58.366Z :NickServ MODE TheTest :+r
<< NOTICE StatServ :VERSION HexChat 2.16.1 / Linux 6.5.0-15-generic [x86_64/3,40GHz/SMP]
<< MODE #Software
>> :irc3.ptirc.org 324 TheTest #Software +nrtP 
>> :irc3.ptirc.org 329 TheTest #Software 1536484148
<< PING LAG1707460666997
>> @time=2024-02-09T20:31:07.013Z :irc3.ptirc.org PONG irc3.ptirc.org :LAG1707460666997
<< WHO #Software %chtsunfra,152
<< PING LAG1707460696998
>> :irc3.ptirc.org 354 TheTest 152 #Software ~TheTest users.PTirc.TheTest * TheTest Hrs TheTest :The Test User
>> :irc3.ptirc.org 354 TheTest 152 #Software bitbot 1329658:51B15F0D:23DB380A:IP * GitBot HsB 0 :Git Notifications Bot
>> :irc3.ptirc.org 354 TheTest 152 #Software uid46945 suporte.PTirc.org * EliteGod Grs* EliteGod :The Knight of Hell
>> :irc3.ptirc.org 354 TheTest 152 #Software ChanServ services.ptirc.org * ChanServ HB&@ 0 :Channel Registration Service
>> :irc3.ptirc.org 354 TheTest 152 #Software sid116151 users.PTirc.PeGaSuS * PeGaSuS Hrs* PeGaSuS :PeGaSuS <[email protected]>
>> :irc3.ptirc.org 354 TheTest 152 #Software ubuntu users.PTirc.James * James Hrs*~@ James :..-. ..- -.-. -.- / -.-- --- ..- <[email protected]
>> :irc3.ptirc.org 354 TheTest 152 #Software escovinhas users.PTirc.Oasis_ * Oasis_ Hrs Oasis_ :You Challenge Me, Mortal?
>> :irc3.ptirc.org 354 TheTest 152 #Software uid46945 users.PTirc.AcidSoul * AcidSoul Grs AcidSoul :More acid than acid rain!
>> :irc3.ptirc.org 354 TheTest 152 #Software limnoria users.PTirc.RSSBot * RSSBot HrsB RSSBot :Limnoria 2023.10.09
>> :irc3.ptirc.org 354 TheTest 152 #Software ubuntu users.PTirc.James * James_Bond Hrs*~@ James :Exlent
>> :irc3.ptirc.org 354 TheTest 152 #Software Solix users.PTirc.Raiden * Raiden GrsB Raiden :Raiden - The Thunder God
>> :irc3.ptirc.org 354 TheTest 152 #Software Barracuda E6390CB8:2078E901:23DB380A:IP * Barracuda Hs 0 :Barracuda
>> :irc3.ptirc.org 354 TheTest 152 #Software bots D6312347:76A9B4DF:23DB380A:IP * Grixx Hs 0 :El Grixx
>> :irc3.ptirc.org 354 TheTest 152 #Software convoschat 38CBEC65:90531EC3:23DB380A:IP * Exlent Hs 0 :Exlent via https://convos.chat
>> :irc3.ptirc.org 354 TheTest 152 #Software ubuntu A61C3E9B:DE1E6807:4EA6949F:IP * Test1 Hs 0 :Exlent
>> :irc3.ptirc.org 354 TheTest 152 #Software uid165061 F07415F2:99D3B40C:D0E39881:IP * Sub-Zero Hs 0 :Mortal Kombat - Sub Zero
>> :irc3.ptirc.org 354 TheTest 152 #Software sid268081 Koragg.The.Knight.Wolf * Koragg HrsB*@ Koragg :Test Gecos
>> :irc3.ptirc.org 315 TheTest #Software :End of /WHO list.
>> @time=2024-02-09T20:31:37.044Z :irc3.ptirc.org PONG irc3.ptirc.org :LAG1707460696998

###
# User Modes
###
<< whois TheTest
>> :irc3.ptirc.org 311 TheTest TheTest ~TheTest users.PTirc.TheTest * :The Test User
>> :irc3.ptirc.org 379 TheTest TheTest :is using modes +iprtwxzI 
>> :irc3.ptirc.org 378 TheTest TheTest :is connecting from *@nope:nope:nope:nope:nope:nope:nope:nope nope:nope:nope:nope:nope:nope:nope:nope
>> :irc3.ptirc.org 307 TheTest TheTest :is identified for this nick
>> :irc3.ptirc.org 319 TheTest TheTest :#Software 
>> :irc3.ptirc.org 312 TheTest TheTest irc3.ptirc.org :PTirc IRC Network (IRC3)
>> :irc3.ptirc.org 671 TheTest TheTest :is using a Secure Connection [TLSv1.3-TLS_CHACHA20_POLY1305_SHA256]
>> :irc3.ptirc.org 330 TheTest TheTest TheTest :is logged in as
>> :irc3.ptirc.org 317 TheTest TheTest 34 1707510658 :seconds idle, signon time
>> :irc3.ptirc.org 318 TheTest TheTest :End of /WHOIS list.
TagsNo tags attached.
3rd party modules

Activities

syzop

2024-02-10 14:25

administrator   ~0023137

I see some speculation on IRC that it may only affect some user modes? Sounds plausible, since you got quite some other modes set correctly, but the B is missing :)

Valware

2024-02-10 16:04

reporter   ~0023138

I tried to replicate this for bug hunting but actually +B works (for me) on normal set::modes-on-connect but nothing works (for me) on any set<security-group>::modes-on-connect. Needless to say I'm not sure what's going on. I tried this configuration:

security-group lol {
    account { "boba"; }
}

set lol {
    modes-on-connect "+BTGD";
}

This doesn't work for me, but mostly works for PeGaSuS except for +B. needless to say I'm stumped with this one.

PeGaSuS

2024-02-10 18:05

reporter   ~0023139

New findings on this matter.

I have Anope's NickServ KEEPMODES set to ON by default.

According to the NickServ's help: If keep modes is enabled, services will remember your usermodes and attempt to re-set them the next time you authenticate.

After disabling KEEPMODES on the test account, only the `set::modes-on-connect` are set and the `set security-group::modes-on-connect` seems to be ignored.

Config/settings:

###
# Current `set::modes-on-connect`
###
set { modes-on-connect "+iwxI"; }


###
# Current security-group settings:
###
security-group thetest {
    account {
        TheTest;
    }
}

set thetest {
    modes-on-connect "+T";
    auto-join "#Software";
}


###
# User is correctly placed on the `thetest` security-group
###
[10/02/2024 - 17:59:49] <irc3.ptirc.org> [info] Client connecting: TheTest (~TheTest@nope:nope:nope:nope:nope:nope:nope:nope) [nope:nope:nope:nope:nope:nope:nope:nope] [vhost: users.PTirc.TheTest] [secure: TLSv1.3-TLS_CHACHA20_POLY1305_SHA256] [account: TheTest] [country: FR] [reputation: 18] [security-groups: known-users,thetest,tls-and-known-users,tls-users]


###
# HexChat connection RAW log
###
<< CAP LS 302
<< NICK TheTest
<< USER TheTest 0 * :The Test User
>> :irc3.ptirc.org NOTICE * :*** Looking up your hostname...
>> :irc3.ptirc.org NOTICE * :*** Checking ident...
>> :irc3.ptirc.org NOTICE * :*** Couldn't resolve your hostname; using your IP address instead
>> :irc3.ptirc.org NOTICE * :*** No ident response; username prefixed with ~
>> :irc3.ptirc.org CAP * LS :sts=port=6697,duration=5184000 unrealircd.org/link-security=2 unrealircd.org/plaintext-policy=user=deny,oper=deny,server=deny unrealircd.org/history-storage=memory away-notify invite-notify extended-join userhost-in-names multi-prefix cap-notify sasl=ANONYMOUS,EXTERNAL,PLAIN setname tls chghost account-notify message-tags batch server-time account-tag echo-message labeled-response draft/chathistory extended-monitor standard-replies unrealircd.org/json-log
<< CAP REQ :away-notify invite-notify extended-join userhost-in-names multi-prefix cap-notify sasl setname chghost account-notify server-time account-tag extended-monitor
>> PING :5E4C4D9E
<< PONG :5E4C4D9E
>> :irc3.ptirc.org CAP TheTest ACK :away-notify invite-notify extended-join userhost-in-names multi-prefix cap-notify sasl setname chghost account-notify server-time account-tag extended-monitor 
<< AUTHENTICATE PLAIN
>> :[email protected] PRIVMSG TheTest :VERSION
<< NOTICE IRC :VERSION HexChat 2.16.1 / Linux 6.5.0-15-generic [x86_64/3,30GHz/SMP]
>> AUTHENTICATE +
<< AUTHENTICATE BITE_MY_ASS_WILL_YA_?==
>> :irc3.ptirc.org 900 TheTest TheTest!TheTest@nope:nope:nope:nope:nope:nope:nope:nope TheTest :You are now logged in as TheTest.
>> :irc3.ptirc.org 903 TheTest :SASL authentication successful
<< CAP END
>> :irc3.ptirc.org 001 TheTest :Welcome to the PTirc IRC Network TheTest!~TheTest@nope:nope:nope:nope:nope:nope:nope:nope
>> :irc3.ptirc.org 002 TheTest :Your host is irc3.ptirc.org, running version UnrealIRCd-6.1.4
>> :irc3.ptirc.org 003 TheTest :This server was created Sat Dec 16 2023 at 16:31:35 UTC
>> :irc3.ptirc.org 004 TheTest irc3.ptirc.org UnrealIRCd-6.1.4 cdiopqrstwxzBDGHINPRSTWZ beIacdfhiklmnopqrstvzBCDFGHKLMNOPQRSTVZ
>> :irc3.ptirc.org 005 TheTest ACCOUNTEXTBAN=account,a AWAYLEN=307 BOT=B CASEMAPPING=ascii CHANLIMIT=#:150 CHANMODES=beI,fkL,lFH,cdimnprstzBCDGKMNOPQRSTVZ CHANNELLEN=32 CHANTYPES=# CHATHISTORY=50 CLIENTTAGDENY=*,-draft/typing,-typing,-draft/channel-context,-draft/reply,-kiwiirc.com/ttt,-data,-kiwiirc.com/conference,-kiwiirc.com/fileuploader DEAF=d ELIST=MNUCT :are supported by this server
>> :irc3.ptirc.org 005 TheTest EXCEPTS EXTBAN=~,acfjmnpqrtCFGOST INVEX KICKLEN=307 KNOCK MAP MAXLIST=b:120,e:120,I:120 MAXNICKLEN=30 MINNICKLEN=3 MODES=12 MONITOR=128 MSGREFTYPES=msgid,timestamp :are supported by this server
>> :irc3.ptirc.org 005 TheTest NAMELEN=50 NAMESX NETWORK=PTirc NICKLEN=30 PREFIX=(qaohv)~&@%+ QUITLEN=307 SAFELIST SILENCE=32 STATUSMSG=~&@%+ TARGMAX=DCCALLOW:,ISON:,JOIN:,KICK:4,KILL:,LIST:,NAMES:1,NOTICE:1,PART:,PRIVMSG:4,SAJOIN:,SAPART:,TAGMSG:1,USERHOST:,USERIP:,WATCH:,WHOIS:1,WHOWAS:1 TOPICLEN=360 UHNAMES :are supported by this server
>> :irc3.ptirc.org 005 TheTest USERIP WALLCHOPS WATCH=128 WATCHOPTS=A WHOX :are supported by this server
>> :irc3.ptirc.org 396 TheTest users.PTirc.TheTest :is now your displayed host
>> :irc3.ptirc.org NOTICE TheTest :*** You are connected to irc3.ptirc.org with TLSv1.3-TLS_CHACHA20_POLY1305_SHA256
>> :irc3.ptirc.org 251 TheTest :There are 1 users and 459 invisible on 8 servers
>> :irc3.ptirc.org 252 TheTest 73 :operator(s) online
>> :irc3.ptirc.org 254 TheTest 43 :channels formed
>> :irc3.ptirc.org 255 TheTest :I have 174 clients and 0 servers
>> :irc3.ptirc.org 265 TheTest 174 353 :Current local users 174, max 353
>> :irc3.ptirc.org 266 TheTest 460 5478 :Current global users 460, max 5478
>> :irc3.ptirc.org 375 TheTest :- irc3.ptirc.org Message of the Day - 
>> :irc3.ptirc.org 372 TheTest :- 23/12/2023 22:43
>> :irc3.ptirc.org 372 TheTest :-  __  __  ___ _____ ____  
>> :irc3.ptirc.org 372 TheTest :- |  \/  |/ _ \_   _|  _ \ 
>> :irc3.ptirc.org 372 TheTest :- | |\/| | | | || | | | | |
>> :irc3.ptirc.org 372 TheTest :- | |  | | |_| || | | |_| |
>> :irc3.ptirc.org 372 TheTest :- |_|  |_|\___/ |_| |____/ 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- UPDATE: 15/09/2023
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- #############
>> :irc3.ptirc.org 372 TheTest :- # PORTUGUES #
>> :irc3.ptirc.org 372 TheTest :- #############
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- -= Bem vindos a PTirc  =-
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Website ###
>> :irc3.ptirc.org 372 TheTest :-  - https://ptirc.org
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### E-mail ###
>> :irc3.ptirc.org 372 TheTest :-  - [email protected]
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Ajuda ###
>> :irc3.ptirc.org 372 TheTest :-  - Se necessitar de ajuda, dirija-se ao canal #Help, escrevendo: /join #Help
>> :irc3.ptirc.org 372 TheTest :-  - Coloque a sua questao no canal e aguarde pacientemente por uma resposta. Lembre-se que somos todos voluntarios!
>> :irc3.ptirc.org 372 TheTest :-  - Aceite ajuda somente de helpers ( ~ & @ ).
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Servi├žos ###
>> :irc3.ptirc.org 372 TheTest :-  - NickServ - Digite: /nickserv help
>> :irc3.ptirc.org 372 TheTest :-  - ChanServ - Digite: /chanserv help
>> :irc3.ptirc.org 372 TheTest :-  - BotServ - Digite: /botserv help
>> :irc3.ptirc.org 372 TheTest :-  - MemoServ - Digite: /memoserv help
>> :irc3.ptirc.org 372 TheTest :-  - HostServ - Digite: /hostserv help
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- - NOTA: Algumas funcoes de alguns comandos estao disponiveis apenas para utilizadores registados.
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ###########
>> :irc3.ptirc.org 372 TheTest :- # ENGLISH #
>> :irc3.ptirc.org 372 TheTest :- ###########
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- -=  Welcome to PTirc   =-
>> :irc3.ptirc.org 372 TheTest :- -=-=-=-=-=-=-=-=-=-=-=-=-
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Website ###
>> :irc3.ptirc.org 372 TheTest :-  - https://ptirc.org
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Email ###
>> :irc3.ptirc.org 372 TheTest :-  - [email protected]
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Help ###
>> :irc3.ptirc.org 372 TheTest :-  - If you need assistance, please go to the #Help channel by typing: /join #Help
>> :irc3.ptirc.org 372 TheTest :-  - Post your question in the channel and patiently wait for a response. Remember, we are all volunteers!
>> :irc3.ptirc.org 372 TheTest :-  - Accept help only from helpers ( ~ & @ )
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- ### Services ###
>> :irc3.ptirc.org 372 TheTest :-  - NickServ - Type: /nickserv help
>> :irc3.ptirc.org 372 TheTest :-  - ChanServ - Type: /chanserv help
>> :irc3.ptirc.org 372 TheTest :-  - BotServ - Type: /botserv help
>> :irc3.ptirc.org 372 TheTest :-  - MemoServ - Type: /memoserv help
>> :irc3.ptirc.org 372 TheTest :-  - HostServ - Type: /hostserv help
>> :irc3.ptirc.org 372 TheTest :- 
>> :irc3.ptirc.org 372 TheTest :- - NOTE: Some functions of certain commands are available only to registered users.
>> :irc3.ptirc.org 376 TheTest :End of /MOTD command.
>> :TheTest MODE TheTest :+itwxzI
>> @account=TheTest;time=2024-02-10T16:59:49.366Z :[email protected] JOIN #Software TheTest :The Test User
>> :irc3.ptirc.org 332 TheTest #Software :Discussion about software, bugs and related stuff. In case of fire, leave the building immediately!
>> :irc3.ptirc.org 333 TheTest #Software James 1703609080
>> :irc3.ptirc.org 353 TheTest = #Software :[email protected] GitBot!bitbot@1329658:51B15F0D:23DB380A:IP [email protected] &@[email protected] [email protected] ~@James[email protected] [email protected]_ 
>> :irc3.ptirc.org 353 TheTest = #Software :[email protected] [email protected] ~@James[email protected] [email protected] Barracuda!Barracuda@E6390CB8:2078E901:23DB380A:IP Grixx!bots@D6312347:76A9B4DF:23DB380A:IP Exlent!convoschat@38CBEC65:90531EC3:23DB380A:IP 
>> :irc3.ptirc.org 353 TheTest = #Software :Test1!ubuntu@A61C3E9B:DE1E6807:4EA6949F:IP Sub-Zero!uid165061@F07415F2:99D3B40C:D0E39881:IP @[email protected]
>> :irc3.ptirc.org 366 TheTest #Software :End of /NAMES list.
>> @time=2024-02-10T16:59:49.384Z :[email protected] PRIVMSG TheTest :VERSION
>> @time=2024-02-10T16:59:49.384Z :NickServ MODE TheTest :+r
<< NOTICE StatServ :VERSION HexChat 2.16.1 / Linux 6.5.0-15-generic [x86_64/3,30GHz/SMP]
<< MODE #Software
>> :irc3.ptirc.org 324 TheTest #Software +nrtP 
>> :irc3.ptirc.org 329 TheTest #Software 1536484148
<< PING LAG1707534400997
>> @time=2024-02-10T17:00:01.013Z :irc3.ptirc.org PONG irc3.ptirc.org :LAG1707534400997
>> @account=AcidSoul;time=2024-02-10T17:00:27.020Z :[email protected] AWAY
>> @account=EliteGod;time=2024-02-10T17:00:28.173Z :[email protected] AWAY
<< WHO #Software %chtsunfra,152
<< PING LAG1707534430997
>> :irc3.ptirc.org 354 TheTest 152 #Software ~TheTest users.PTirc.TheTest * TheTest Hrs TheTest :The Test User
>> :irc3.ptirc.org 354 TheTest 152 #Software bitbot 1329658:51B15F0D:23DB380A:IP * GitBot HsB 0 :Git Notifications Bot
>> :irc3.ptirc.org 354 TheTest 152 #Software uid46945 suporte.PTirc.org * EliteGod Hrs* EliteGod :The Knight of Hell
>> :irc3.ptirc.org 354 TheTest 152 #Software ChanServ services.ptirc.org * ChanServ HB&@ 0 :Channel Registration Service
>> :irc3.ptirc.org 354 TheTest 152 #Software sid116151 users.PTirc.PeGaSuS * PeGaSuS Hrs* PeGaSuS :PeGaSuS <[email protected]>
>> :irc3.ptirc.org 354 TheTest 152 #Software ubuntu users.PTirc.James * James Hrs*~@ James :..-. ..- -.-. -.- / -.-- --- ..- <[email protected]
>> :irc3.ptirc.org 354 TheTest 152 #Software escovinhas users.PTirc.Oasis_ * Oasis_ Hrs Oasis_ :You Challenge Me, Mortal?
>> :irc3.ptirc.org 354 TheTest 152 #Software uid46945 users.PTirc.AcidSoul * AcidSoul Hrs AcidSoul :More acid than acid rain!
>> :irc3.ptirc.org 354 TheTest 152 #Software limnoria users.PTirc.RSSBot * RSSBot HrsB RSSBot :Limnoria 2023.10.09
>> :irc3.ptirc.org 354 TheTest 152 #Software ubuntu users.PTirc.James * James_Bond Hrs*~@ James :Exlent
>> :irc3.ptirc.org 354 TheTest 152 #Software Solix users.PTirc.Raiden * Raiden GrsB Raiden :Raiden - The Thunder God
>> :irc3.ptirc.org 354 TheTest 152 #Software Barracuda E6390CB8:2078E901:23DB380A:IP * Barracuda Hs 0 :Barracuda
>> :irc3.ptirc.org 354 TheTest 152 #Software bots D6312347:76A9B4DF:23DB380A:IP * Grixx Hs 0 :El Grixx
>> :irc3.ptirc.org 354 TheTest 152 #Software convoschat 38CBEC65:90531EC3:23DB380A:IP * Exlent Hs 0 :Exlent via https://convos.chat
>> :irc3.ptirc.org 354 TheTest 152 #Software ubuntu A61C3E9B:DE1E6807:4EA6949F:IP * Test1 Hs 0 :Exlent
>> :irc3.ptirc.org 354 TheTest 152 #Software uid165061 F07415F2:99D3B40C:D0E39881:IP * Sub-Zero Hs 0 :Mortal Kombat - Sub Zero
>> :irc3.ptirc.org 354 TheTest 152 #Software sid268081 Koragg.The.Knight.Wolf * Koragg GrsB*@ Koragg :Test Gecos
>> :irc3.ptirc.org 315 TheTest #Software :End of /WHO list.


###
# Raw user /WHOIS
###
<< whois TheTest
>> :irc3.ptirc.org 311 TheTest TheTest ~TheTest users.PTirc.TheTest * :The Test User
>> :irc3.ptirc.org 379 TheTest TheTest :is using modes +irtwxzI 
>> :irc3.ptirc.org 378 TheTest TheTest :is connecting from *@2a02:8429:629b:b701:290d:259d:db61:f1f1 2a02:8429:629b:b701:290d:259d:db61:f1f1
>> :irc3.ptirc.org 307 TheTest TheTest :is identified for this nick
>> :irc3.ptirc.org 319 TheTest TheTest :#Software 
>> :irc3.ptirc.org 312 TheTest TheTest irc3.ptirc.org :PTirc IRC Network (IRC3)
>> :irc3.ptirc.org 671 TheTest TheTest :is using a Secure Connection [TLSv1.3-TLS_CHACHA20_POLY1305_SHA256]
>> :irc3.ptirc.org 330 TheTest TheTest TheTest :is logged in as
>> :irc3.ptirc.org 317 TheTest TheTest 66 1707584389 :seconds idle, signon time
>> :irc3.ptirc.org 318 TheTest TheTest :End of /WHOIS list.

syzop

2024-02-11 18:28

administrator   ~0023140

Thanks for the report and Valware for the PR. Fixed in https://github.com/unrealircd/unrealircd/commit/aa9fdd352a336cab6c56ea615712e5bf5d6c5045 plus https://github.com/unrealircd/unrealircd/commit/e098be6d282025fe0b073e47648288580cbbf4bc

commit e098be6d282025fe0b073e47648288580cbbf4bc
Author: Bram Matthys <[email protected]>
Date: Sun Feb 11 10:34:14 2024 +0100

    Some more moving for previous commit aa9fdd352a336cab6c56ea615712e5bf5d6c5045

commit aa9fdd352a336cab6c56ea615712e5bf5d6c5045
Author: Valerie Liu <[email protected]>
Date: Sun Feb 11 09:32:20 2024 +0000

    Move giving of set::modes-on-connect to after SASL (#270)
    
    This so account-based security groups work correctly with security-group based set xxxxx { modes-on-connect ....; } settings.
    [skip ci]

Issue History

Date Modified Username Field Change
2024-02-09 21:42 PeGaSuS New Issue
2024-02-10 14:25 syzop Note Added: 0023137
2024-02-10 16:04 Valware Note Added: 0023138
2024-02-10 18:05 PeGaSuS Note Added: 0023139
2024-02-11 18:28 syzop Assigned To => syzop
2024-02-11 18:28 syzop Status new => resolved
2024-02-11 18:28 syzop Resolution open => fixed
2024-02-11 18:28 syzop Fixed in Version => 6.1.5
2024-02-11 18:28 syzop Note Added: 0023140